using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;


[System.ComponentModel.DataObject]
public class TestClass
{
    DateTime _dateTime;
    public int TestInt { get; set; }
    public string TestString { get; set; }
    public DateTime TestDate
    {
        get
        {
            return _dateTime;
        }
        set
        {
            _dateTime = value;
        }
    }

    public TestClass()
    {
    }

    public TestClass(int testInt, string testString, DateTime testDate)
    {
        TestInt = testInt;
        TestString = testString;
        TestDate = testDate;
    }

    [System.ComponentModel.DataObjectMethodAttribute
    (System.ComponentModel.DataObjectMethodType.Select, true)]
    public IList<TestClass> GetItems()
    {
        List<TestClass> list = new List<TestClass>();

        list.Add(new TestClass(1, "One", new DateTime(2009, 1, 1)));
        list.Add(new TestClass(2, "Two", new DateTime(2009, 2, 2)));
        list.Add(new TestClass(3, "Problematic Date", new DateTime(2009, 10, 21)));
        list.Add(new TestClass(4, "Another Problematic Date", new DateTime(2009, 4, 16)));
        list.Add(new TestClass(5, "Five", new DateTime(2009, 4, 16)));

        return list;
    }

    [System.ComponentModel.DataObjectMethodAttribute
    (System.ComponentModel.DataObjectMethodType.Update, true)]
    public void UpdateEmpty(TestClass c)
    {

    }
}